Index: main/trunk/greenstone3/web/interfaces/default/images/favourite-star-bline-selected.svg
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/images/favourite-star-bline-selected.svg	(revision 37268)
+++ main/trunk/greenstone3/web/interfaces/default/images/favourite-star-bline-selected.svg	(revision 37268)
@@ -0,0 +1,87 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   width="100mm"
+   height="100mm"
+   viewBox="0 0 354.33071 354.33071"
+   id="svg3340"
+   version="1.1"
+   inkscape:version="1.1.1 (3bf5ae0d25, 2021-09-20)"
+   sodipodi:docname="favourite-star-bline-selected.svg"
+   inkscape:export-filename="C:\cygwin64\home\davidb\research\code-managed\greenstone3-svn-always-fresh2\web\interfaces\default\images\favourite-star-bline-selected.png"
+   inkscape:export-xdpi="65.024002"
+   inkscape:export-ydpi="65.024002"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:dc="http://purl.org/dc/elements/1.1/">
+  <defs
+     id="defs3342">
+    <linearGradient
+       id="linearGradient4162"
+       inkscape:swatch="solid">
+      <stop
+         style="stop-color:#000000;stop-opacity:1;"
+         offset="0"
+         id="stop4164" />
+    </linearGradient>
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="0.7"
+     inkscape:cx="605"
+     inkscape:cy="565"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="false"
+     inkscape:window-width="1920"
+     inkscape:window-height="1017"
+     inkscape:window-x="-8"
+     inkscape:window-y="-8"
+     inkscape:window-maximized="1"
+     inkscape:pagecheckerboard="0" />
+  <metadata
+     id="metadata3345">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+      </cc:Work>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(0,-698.0315)">
+    <path
+       sodipodi:type="star"
+       style="fill:#e4ec16;fill-opacity:1;stroke:#000000;stroke-width:10;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+       id="path3360"
+       sodipodi:sides="5"
+       sodipodi:cx="174.28572"
+       sodipodi:cy="872.36218"
+       sodipodi:r1="124.57274"
+       sodipodi:r2="62.286369"
+       sodipodi:arg1="0.93188234"
+       sodipodi:arg2="1.5602009"
+       inkscape:flatsided="false"
+       inkscape:rounded="0"
+       inkscape:randomized="0"
+       d="m 248.57144,972.36218 -73.62578,-37.71712 -72.81004,39.26874 13.1195,-81.67751 -59.846332,-57.11176 81.734082,-12.76235 35.82297,-74.56575 37.39493,73.78995 81.98615,11.02759 -58.62273,58.36704 z"
+       inkscape:transform-center-x="0.52386405"
+       inkscape:transform-center-y="-15.68066"
+       transform="matrix(1.284365,0,0,1.3626973,-48.005702,-296.13704)" />
+  </g>
+</svg>
Index: main/trunk/greenstone3/web/interfaces/default/images/favourite-star-wline-selected.svg
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/images/favourite-star-wline-selected.svg	(revision 37268)
+++ main/trunk/greenstone3/web/interfaces/default/images/favourite-star-wline-selected.svg	(revision 37268)
@@ -0,0 +1,84 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   width="100mm"
+   height="100mm"
+   viewBox="0 0 354.33071 354.33071"
+   id="svg3340"
+   version="1.1"
+   inkscape:version="1.1.1 (3bf5ae0d25, 2021-09-20)"
+   sodipodi:docname="favourite-star-wline-selected.svg"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:dc="http://purl.org/dc/elements/1.1/">
+  <defs
+     id="defs3342">
+    <linearGradient
+       id="linearGradient4162"
+       inkscape:swatch="solid">
+      <stop
+         style="stop-color:#000000;stop-opacity:1;"
+         offset="0"
+         id="stop4164" />
+    </linearGradient>
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="0.7"
+     inkscape:cx="603.57143"
+     inkscape:cy="565"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="false"
+     inkscape:window-width="1920"
+     inkscape:window-height="1017"
+     inkscape:window-x="-8"
+     inkscape:window-y="-8"
+     inkscape:window-maximized="1"
+     inkscape:pagecheckerboard="true" />
+  <metadata
+     id="metadata3345">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+      </cc:Work>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(0,-698.0315)">
+    <path
+       sodipodi:type="star"
+       style="fill:#e4ec16;fill-opacity:1;stroke:#ffffff;stroke-width:10;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+       id="path3360"
+       sodipodi:sides="5"
+       sodipodi:cx="174.28572"
+       sodipodi:cy="872.36218"
+       sodipodi:r1="124.57274"
+       sodipodi:r2="62.286369"
+       sodipodi:arg1="0.93188234"
+       sodipodi:arg2="1.5602009"
+       inkscape:flatsided="false"
+       inkscape:rounded="0"
+       inkscape:randomized="0"
+       d="m 248.57144,972.36218 -73.62578,-37.71712 -72.81004,39.26874 13.1195,-81.67751 -59.846332,-57.11176 81.734082,-12.76235 35.82297,-74.56575 37.39493,73.78995 81.98615,11.02759 -58.62273,58.36704 z"
+       inkscape:transform-center-x="0.52386405"
+       inkscape:transform-center-y="-15.68066"
+       transform="matrix(1.284365,0,0,1.3626973,-48.005702,-296.13704)" />
+  </g>
+</svg>
Index: main/trunk/greenstone3/web/interfaces/default/images/favourite-star-wline-unselected.svg
===================================================================
--- main/trunk/greenstone3/web/interfaces/default/images/favourite-star-wline-unselected.svg	(revision 37268)
+++ main/trunk/greenstone3/web/interfaces/default/images/favourite-star-wline-unselected.svg	(revision 37268)
@@ -0,0 +1,84 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   width="100mm"
+   height="100mm"
+   viewBox="0 0 354.33071 354.33071"
+   id="svg3340"
+   version="1.1"
+   inkscape:version="1.1.1 (3bf5ae0d25, 2021-09-20)"
+   sodipodi:docname="favourite-star-wline-unselected.svg"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:dc="http://purl.org/dc/elements/1.1/">
+  <defs
+     id="defs3342">
+    <linearGradient
+       id="linearGradient4162"
+       inkscape:swatch="solid">
+      <stop
+         style="stop-color:#000000;stop-opacity:1;"
+         offset="0"
+         id="stop4164" />
+    </linearGradient>
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="0.7"
+     inkscape:cx="603.57143"
+     inkscape:cy="565"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="false"
+     inkscape:window-width="1920"
+     inkscape:window-height="1017"
+     inkscape:window-x="-8"
+     inkscape:window-y="-8"
+     inkscape:window-maximized="1"
+     inkscape:pagecheckerboard="true" />
+  <metadata
+     id="metadata3345">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+      </cc:Work>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(0,-698.0315)">
+    <path
+       sodipodi:type="star"
+       style="fill:none;fill-opacity:1;stroke:#ffffff;stroke-width:10;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
+       id="path3360"
+       sodipodi:sides="5"
+       sodipodi:cx="174.28572"
+       sodipodi:cy="872.36218"
+       sodipodi:r1="124.57274"
+       sodipodi:r2="62.286369"
+       sodipodi:arg1="0.93188234"
+       sodipodi:arg2="1.5602009"
+       inkscape:flatsided="false"
+       inkscape:rounded="0"
+       inkscape:randomized="0"
+       d="m 248.57144,972.36218 -73.62578,-37.71712 -72.81004,39.26874 13.1195,-81.67751 -59.846332,-57.11176 81.734082,-12.76235 35.82297,-74.56575 37.39493,73.78995 81.98615,11.02759 -58.62273,58.36704 z"
+       inkscape:transform-center-x="0.52386405"
+       inkscape:transform-center-y="-15.68066"
+       transform="matrix(1.284365,0,0,1.3626973,-48.005702,-296.13704)" />
+  </g>
+</svg>