Index: /main/trunk/greenstone3/build.xml
===================================================================
--- /main/trunk/greenstone3/build.xml	(revision 37343)
+++ /main/trunk/greenstone3/build.xml	(revision 37344)
@@ -574,4 +574,9 @@
   <!--constants -->
   <property name="svn.root" value="https://svn.greenstone.org"/>
+  <!-- release kits need to set this to - -non-interactive - -trust-server-cert"
+       in order to bypass having to manually accept the new SSL certificate
+       every three months -->
+  <property name="global-svn-args" value=""/>
+
   <property name="gsorg.root" value="https://www.greenstone.org"/>
   <!--<property name="gsorg.root" value="http://community.nzdl.org"/>-->
@@ -2034,4 +2039,5 @@
   <target name="svnupdate-web" unless="nosvn.mode">
     <exec executable="svn">
+      <arg line="${global-svn-args}"/>
       <arg value="update"/>
       <arg value="${web.writablehome}"/>
@@ -3532,4 +3538,5 @@
   <target name="svnupdate-core" unless="nosvn.mode">
     <exec executable="svn">
+      <arg line="${global-svn-args}"/>
       <arg value="update"/>
       <arg value="${basedir}"/>
@@ -3747,4 +3754,5 @@
   <target name="prepare-wget-for-windows">
     <exec executable="svn" osfamily="windows" dir="${basedir}/bin/windows">
+      <arg line="${global-svn-args}"/>
       <arg value="export"/>
       <arg value="-r"/><arg value="${branch.revision}"/>
@@ -3752,4 +3760,5 @@
     </exec>
     <exec executable="svn" osfamily="windows" dir="${basedir}/bin/windows">
+      <arg line="${global-svn-args}"/>
       <arg value="export"/>
       <arg value="-r"/><arg value="${branch.revision}"/>
@@ -3766,4 +3775,5 @@
   <target name="svnupdate-packages" unless="nosvn.mode"> 
     <exec executable="svn">
+      <arg line="${global-svn-args}"/>
       <arg value="update"/>
       <arg value="${src.packages.home}"/>
@@ -3783,4 +3793,5 @@
     <mkdir dir="${gs2build.home}/bin/${os.bin.dir}"/> <!-- mkdir darwin or linux -->
     <exec executable="svn" dir="${gs2build.home}/bin/${os.bin.dir}">
+      <arg line="${global-svn-args}"/>
       <arg value="export"/>
       <arg value="-r"/><arg value="${branch.revision}"/>
@@ -3978,4 +3989,5 @@
   <target name="svnupdate-common-src" depends="init" if="collection.building.disabled" unless="nosvn.mode">
     <exec executable="svn">
+      <arg line="${global-svn-args}"/>
       <arg value="update"/>
       <arg value="${common.src.home}"/>
@@ -3992,4 +4004,5 @@
     <echo>checking out common-src</echo>
     <exec executable="svn">
+      <arg line="${global-svn-args}"/>
       <arg value="checkout"/>
       <arg value="${svn.root}/main/${branch.path}/greenstone2/common-src"/>
@@ -4137,4 +4150,5 @@
 
     <exec executable="svn">
+      <arg line="${global-svn-args}"/>
       <arg value="update"/>
       <arg value="${gli.home}"/>
@@ -4149,4 +4163,5 @@
 
     <exec executable="svn">
+      <arg line="${global-svn-args}"/>
       <arg value="checkout"/>
       <arg value="${svn.root}/main/${branch.path}/gli"/>
@@ -4212,4 +4227,5 @@
     <echo>svn updating gs2build</echo>
     <exec executable="svn">
+      <arg line="${global-svn-args}"/>
       <arg value="update"/>
       <arg value="${gs2build.home}"/>
@@ -4232,4 +4248,5 @@
     <echo>checking out gs2build</echo>
     <exec executable="svn">
+      <arg line="${global-svn-args}"/>
       <arg value="checkout"/>
       <arg value="${svn.root}/main/${branch.path}/gs2build"/>
@@ -4264,4 +4281,5 @@
 	  <echo>Checking out the PDFBox extension into the GSDLHOME extension area</echo>
 	  <exec executable="svn">
+            <arg line="${global-svn-args}"/>
 	    <arg value="export"/>
 	    <arg value="${svn.root}/gs2-extensions/pdf-box/trunk/pdf-box-java.tar.gz"/>
@@ -4320,4 +4338,5 @@
 
       <exec executable="svn">
+        <arg line="${global-svn-args}"/>
 	<arg value="checkout"/>
 	<arg value="${svn.root}/gs2-extensions/imagemagick/trunk/src"/>
@@ -4476,4 +4495,5 @@
       <echo>checking out gnome-lib extension</echo>
       <exec executable="svn">
+        <arg line="${global-svn-args}"/>
 	<arg value="checkout"/>
 	<arg value="${svn.root}/gs2-extensions/gnome-lib/trunk/src"/>
@@ -4492,4 +4512,5 @@
 
     <exec executable="svn">
+      <arg line="${global-svn-args}"/>
       <arg value="checkout"/>
       <arg value="${svn.root}/main/${branch.path}/binaries/windows"/>
@@ -4502,4 +4523,5 @@
   <target name="update-winbin" depends="init" if="current.os.iswindows" unless="nosvn.mode">
     <exec executable="svn">
+      <arg line="${global-svn-args}"/>
       <arg value="update"/>
       <arg value="winbin"/>
@@ -4670,19 +4692,19 @@
     <mkdir dir="${basedir}/flax-resources"/>
     <mkdir dir="${basedir}/flax-lib"/>
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/src/java/org/flax"/> 
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="checkout"/><arg value="${flax.checkout.path}/src/java/org/flax"/> 
       <arg value="src/java/org/flax"/></exec> 
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/src/java/org/greenstone/gsdl3/flax"/> 
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="checkout"/><arg value="${flax.checkout.path}/src/java/org/greenstone/gsdl3/flax"/> 
       <arg value="src/java/org/greenstone/gsdl3/flax"/></exec> 
     <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/src/java/org/greenstone/gsdl3/action/flax"/>
       <arg value="src/java/org/greenstone/gsdl3/action/flax"/></exec>
-     <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/WEB-INF/classes/flax"/> 
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="checkout"/><arg value="${flax.checkout.path}/web/WEB-INF/classes/flax"/> 
       <arg value="${web.home}/WEB-INF/classes/flax"/></exec> 
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/interfaces/flax"/> 
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="checkout"/><arg value="${flax.checkout.path}/web/interfaces/flax"/> 
       <arg value="${web.home}/interfaces/flax"/></exec> 
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/sites/flax"/> 
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="checkout"/><arg value="${flax.checkout.path}/web/sites/flax"/> 
       <arg value="${web.home}/sites/flax"/></exec> 
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/flax-resources"/> 
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="checkout"/><arg value="${flax.checkout.path}/flax-resources"/> 
       <arg value="flax-resources"/></exec> 
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/lib"/> 
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="checkout"/><arg value="${flax.checkout.path}/lib"/> 
       <arg value="flax-lib"/></exec> 
     <antcall target="flax-copy-del-files" />
@@ -4707,19 +4729,19 @@
   <target name="update-flax" description="update flax from repository">
     <echo>updating flax ...</echo>
-    <exec executable="svn"><arg value="update"/>
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="update"/>
       <arg value="src/java/org/flax"/></exec> 
-    <exec executable="svn"><arg value="update"/>
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="update"/>
       <arg value="src/java/org/greenstone/gsdl3/action/flax"/></exec>
-    <exec executable="svn"><arg value="update"/>
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="update"/>
       <arg value="src/java/org/greenstone/gsdl3/flax"/></exec> 
-    <exec executable="svn"><arg value="update"/>
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="update"/>
       <arg value="${web.home}/WEB-INF/classes/flax"/></exec> 
-    <exec executable="svn"><arg value="update"/>
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="update"/>
       <arg value="${web.home}/interfaces/flax"/></exec> 
-    <exec executable="svn"><arg value="update"/>
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="update"/>
       <arg value="${web.home}/web/sites/flax"/></exec>
-    <exec executable="svn"><arg value="update"/>
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="update"/>
       <arg value="flax-resources"/></exec> 
-    <exec executable="svn"><arg value="update"/>
+    <exec executable="svn"><arg line="${global-svn-args}"/><arg value="update"/>
       <arg value="flax-lib"/></exec> 
 	<antcall target="compile-core" />