Index: /main/trunk/gs-release-builder/envi/etc/tasks/snapshot/task.pl
===================================================================
--- /main/trunk/gs-release-builder/envi/etc/tasks/snapshot/task.pl	(revision 37344)
+++ /main/trunk/gs-release-builder/envi/etc/tasks/snapshot/task.pl	(revision 37345)
@@ -136,5 +136,5 @@
 	#dont proceed if main/stable is old
 	#get last changed date from svn
-	open( INFO, "svn info http://svn.greenstone.org/main/$ENV{'BRANCH_PATH'}|" )
+	open( INFO, "svn --non-interactive --trust-server-cert info https://svn.greenstone.org/main/$ENV{'BRANCH_PATH'}|" )
 		or die "Cant determine age of stable tag";
 	my $changed_date;
Index: /main/trunk/release-kits/kits/rk3/ant-scripts/compile.xml
===================================================================
--- /main/trunk/release-kits/kits/rk3/ant-scripts/compile.xml	(revision 37344)
+++ /main/trunk/release-kits/kits/rk3/ant-scripts/compile.xml	(revision 37345)
@@ -2,12 +2,14 @@
 <project name="rk3-compile">
 
+
 	<target name="compile">
 
 		<!-- checkout greenstone3 -->
 		<exec executable="svn">
-			<arg value="checkout"/>
-			<arg value="${svn.root}/main/${branch.path}/greenstone3"/>
-			<arg value="compiled"/>
-			<arg value="-r"/><arg value="${branch.revision}"/>
+		  <arg line="${global-svn-args}"/>
+		  <arg value="checkout"/>
+		  <arg value="${svn.root}/main/${branch.path}/greenstone3"/>
+		  <arg value="compiled"/>
+		  <arg value="-r"/><arg value="${branch.revision}"/>
 		</exec>
 
@@ -51,4 +53,5 @@
 			<propertyset refid="forward.properties"/>
 			<property name="properties.accepted" value="true"/>
+			<property name="global-svn-args" value="${global-svn-args}"/>
 		</ant>
 
@@ -76,4 +79,5 @@
 				<echo>EXPORTING GNOME LIB EXTENSION</echo>
 				<exec executable="svn">
+				  <arg line="${global-svn-args}"/>
 					<arg value="export"/>
 					<arg value="${svn.root}/gs2-extensions/gnome-lib/trunk/gnome-lib-minimal-${specific.os.type}${arch}${extension-x64}.tar.gz"/>
@@ -103,4 +107,5 @@
 			<property name="properties.accepted" value="true"/>
 			<property name="properties.keep.src" value="${keep.src}"/>
+			<property name="global-svn-args" value="${global-svn-args}"/>
 		</ant>
 
@@ -185,4 +190,5 @@
 			<!--<unzip src="${rk.home}/shared/windows/perl.zip" dest="compiled/gs2build/bin/windows"/>-->
 			<exec executable="svn" dir="compiled/gs2build/bin/windows">
+			  <arg line="${global-svn-args}"/>
 				<arg value="export"/>
 				<arg value="${svn.root}/main/trunk/release-kits/shared/windows/perl.zip"/>
@@ -223,5 +229,6 @@
 
             <exec executable="svn">
-               <arg value="export"/>
+	      <arg line="${global-svn-args}"/>
+              <arg value="export"/>
                <arg value="${svn.root}/gs2-extensions/imagemagick/trunk/imagemagick-linux${extension-x64}.tar.gz"/>
                <arg value="compiled/ext/imagemagick-linux${extension-x64}.tar.gz"/>
@@ -240,4 +247,5 @@
 			<!--<delete dir="compiled/gs2build/bin/linux/imagemagick"/>
 			<exec executable="svn">
+			<arg line="${global-svn-args}"/>
 				<arg value="export"/>
 				<arg value="${svn.root}/main/${branch.path}/binaries/linux/imagemagick"/>
@@ -249,4 +257,5 @@
 			<!--<delete dir="compiled/gs2build/bin/linux/wv"/>
 			<exec executable="svn">
+			<arg line="${global-svn-args}"/>
 				<arg value="export"/>
 				<arg value="${svn.root}/main/${branch.path}/binaries/linux/wv"/>
@@ -261,4 +270,5 @@
 
 	        <!--<exec executable="svn">
+		    <arg line="${global-svn-args}"/>
 		       <arg value="export"/>
                <arg value="${svn.root}/gs2-extensions/imagemagick/trunk/imagemagick-darwin-10.5.tar.gz"/>
@@ -278,4 +288,5 @@
 			<delete dir="compiled/gs2build/bin/darwin/imagemagick"/>
 			<exec executable="svn">
+			  <arg line="${global-svn-args}"/>
 				<arg value="export"/>
 				<arg value="${svn.root}/main/${branch.path}/binaries/mac/intel/imagemagick"/>
@@ -287,4 +298,5 @@
 				<delete dir="compiled/gs2build/bin/darwin/ghostscript"/>
 				<exec executable="svn">
+				  <arg line="${global-svn-args}"/>
 					<arg value="export"/>
 					<arg value="${svn.root}/main/${branch.path}/binaries/mac/intel/ghostscript"/>
Index: /main/trunk/release-kits/shared/core/ant-scripts/shared.xml
===================================================================
--- /main/trunk/release-kits/shared/core/ant-scripts/shared.xml	(revision 37344)
+++ /main/trunk/release-kits/shared/core/ant-scripts/shared.xml	(revision 37345)
@@ -57,6 +57,10 @@
 
 		<!-- svn root -->
-		<property name="svn.root" value="https://svn.greenstone.org" />
-
+		<property name="svn.root" value="https://svn.greenstone.org"/>
+
+		<!-- any global svn args that need to be used in each call - currently we have ones
+		     that mean we can ignore the non trusted certificate, which comes up every
+		     three months when our SSL certificate is renewed. -->
+		<property name="global-svn-args" value="--non-interactive --trust-server-cert"/>
 		<!-- the minimum version of java which the installer should be run with (this gets used in search4j) -->
 		<property name="java.min.version" value="1.8.0_00"/>