Index: /main/trunk/release-kits/kits/rk2/ant-scripts/mojave-compile.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/mojave-compile.xml	(revision 37387)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/mojave-compile.xml	(revision 37388)
@@ -6,5 +6,6 @@
 		<if><bool><equals arg1="${post.2.83.version}" arg2="true"/></bool>
 			<exec executable="svn">
-				<arg value="checkout"/>
+			  <arg line="${global-svn-args}"/>
+			  <arg value="checkout"/>
 				<arg value="${svn.root}/main/${branch.path}/greenstone2"/>
 				<arg value="${basedir}/compiled"/>
@@ -12,5 +13,6 @@
 			<else>
 				<exec executable="svn">
-					<arg value="checkout"/>
+				  <arg line="${global-svn-args}"/>
+				  <arg value="checkout"/>
 					<arg value="${svn.root}/main/${branch.path}/gsdl"/>
 					<arg value="${basedir}/compiled"/>
@@ -20,4 +22,5 @@
 		
 		<exec executable="svn">
+		  <arg line="${global-svn-args}"/>
 			<arg value="checkout"/>
 			<arg value="${svn.root}/main/${branch.path}/gli"/>
@@ -59,4 +62,5 @@
 				<echo>EXPORTING GNOME LIB EXTENSION</echo>
 				<exec executable="svn">
+				  <arg line="${global-svn-args}"/>
 					<arg value="export"/>
 					<arg value="${svn.root}/gs2-extensions/gnome-lib/trunk/gnome-lib-minimal-${specific.os.type}${arch}${extension-x64}.tar.gz"/>
@@ -111,5 +115,5 @@
 			
 			<unzip src="${basedir}/compiled/common-src/packages/windows/stlport/stlport.zip" dest="${basedir}/compiled/common-src/packages/windows/stlport"/>
-			<unzip src="${basedir}/compiled/common-src/indexers/packages/windows/iconv/iconv-PRE-VS14.zip" dest="${basedir}/compiled/common-src/indexers/packages/windows/iconv"/>
+			<unzip src="${basedir}/compiled/common-src/indexers/packages/windows/iconv/iconv-VS14-PLUS.zip" dest="${basedir}/compiled/common-src/indexers/packages/windows/iconv"/>
 			<untar src="${basedir}/compiled/common-src/packages/sqlite/sqlite-autoconf-3070602.tar.gz" dest="${basedir}/compiled/common-src/packages/sqlite" compression="gzip"/>
 
@@ -118,5 +122,6 @@
 				<if><bool><equals arg1="${post.2.83.version}" arg2="true"/></bool>
 					
-					<exec executable="svn">
+				<exec executable="svn">
+				  <arg line="${global-svn-args}"/>
 						<arg value="export"/>
 						<arg value="${svn.root}/main/${branch.path}/binaries/windows/bin"/>
@@ -128,5 +133,6 @@
 					<else>
 						<exec executable="svn">
-							<arg value="export"/>
+						  <arg line="${global-svn-args}"/>
+						  <arg value="export"/>
 							<arg value="${svn.root}/main/trunk/binaries/windows/bin"/>
 							<arg value="${basedir}/compiled/bin/windows"/>
@@ -177,13 +183,17 @@
 		<!-- linux only -->
 		<else><if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
-			<!-- add static to configure.in -->
-			<rsr file="${basedir}/compiled/configure.in" pattern="^LDFLAGS=.*$" replacement="LDFLAGS=-static"/>
+		<if><bool><equals arg1="${x64}" arg2="false"/></bool>
+		   <!-- add static to configure.in, but not for x64. Why?? -->
+		   <echo>********* adding -static to compiled/configure.in</echo>
+		   <rsr file="${basedir}/compiled/configure.in" pattern="^LDFLAGS=.*$" replacement="LDFLAGS=-static"/>
+		   <!-- set environment in packages/configure -->
+		   <rsr file="${basedir}/compiled/common-src/packages/configure" pattern="^ENVIRONMENT=.*$" replacement="ENVIRONMENT=&quot;LDFLAGS=-static&quot;"/>
+		   <rsr file="${basedir}/compiled/build-src/packages/configure" pattern="^ENVIRONMENT=.*$" replacement="ENVIRONMENT=&quot;LDFLAGS=-static&quot;"/>
+
+		</if>
 			<exec dir="${basedir}/compiled" executable="autoconf" output="${basedir}/compiled/configure">
 				<arg value="configure.in"/>
 			</exec>
 
-			<!-- set environment in packages/configure -->
-			<rsr file="${basedir}/compiled/common-src/packages/configure" pattern="^ENVIRONMENT=.*$" replacement="ENVIRONMENT=&quot;LDFLAGS=-static&quot;"/>
-			<rsr file="${basedir}/compiled/build-src/packages/configure" pattern="^ENVIRONMENT=.*$" replacement="ENVIRONMENT=&quot;LDFLAGS=-static&quot;"/>
 
 			<!-- run configure -->
@@ -207,5 +217,10 @@
 			<rsr file="${basedir}/compiled/build-src/packages/rtftohtml/rtftohtml_src/Makefile" pattern="(-o rtftohtml.{2}EXEEXT.{1})" replacement="$1 -static"/>
 
-		<!-- mac only -->
+			<!-- this bit from the lin32 compile-->
+			<if><bool><equals arg1="${x64}" arg2="false"/></bool>
+			<echo>******** modifying wget Makefile for linux 32</echo>
+			<rsr file="${basedir}/compiled/build-src/packages/wget/wget-1.17.1-gs/src/Makefile" pattern="^LDFLAGS =(.*) -static(.*)$" replacement="LDFLAGS = $1 $2"/>
+			</if>
+			<!-- mac only -->
 		<else><if><bool><equals arg1="${rk.os}" arg2="mac"/></bool>
 			<!-- run configure -->
@@ -274,4 +289,6 @@
 		</if>
 
+		<!-- in mac and linux 64 bit versions, we copy IsisGdl from caveat-emptor. However, now that it compiles under 64 bit, I don't think we need to do that anymore.-->
+		
 		<!-- Delete all but the lib folder and the setup.bash script of the gnome support library -->
 		<if><bool><and>
@@ -404,5 +421,6 @@
 			<if><bool><equals arg1="${post.2.83.version}" arg2="true"/></bool>
 				<!--<if><bool><equals arg1="${x64}" arg2="true"/></bool>-->
-					<exec executable="svn">
+				<exec executable="svn">
+				  <arg line="${global-svn-args}"/>
 					        <arg value="export"/>
 					        <arg value="${svn.root}/gs2-extensions/imagemagick/trunk/imagemagick-linux${extension-x64}.tar.gz"/>
@@ -420,4 +438,5 @@
 				<!--<else>
 				        <exec executable="svn">
+					<arg line="${global-svn-args}"/>
 					        <arg value="export"/>
 						<arg value="${svn.root}/main/${branch.path}/binaries/linux/imagemagick"/>
@@ -429,4 +448,5 @@
 					<delete dir="compiled/bin/linux/wv"/>	
 					<exec executable="svn">
+					  <arg line="${global-svn-args}"/>
 						<arg value="export"/>
 						<arg value="${svn.root}/main/trunk/binaries/linux/imagemagick"/>
@@ -435,4 +455,5 @@
 
 					<exec executable="svn">
+					  <arg line="${global-svn-args}"/>
 						<arg value="export"/>
 						<arg value="${svn.root}/main/trunk/binaries/linux/wv"/>
@@ -461,4 +482,5 @@
 
                     <!--<exec executable="svn">
+			<arg line="${global-svn-args}"/>
                        <arg value="export"/>
                        <arg value="${svn.root}/gs2-extensions/imagemagick/trunk/imagemagick-darwin-10.5.tar.gz"/>
@@ -502,4 +524,5 @@
 			<!--
 			    <exec executable="svn">
+			      <arg line="${global-svn-args}"/>
 			      <arg value="export"/>
 			      <arg value="${svn.root}/main/${branch.path}/binaries/mac/intel/imagemagick"/>
@@ -508,4 +531,5 @@
 			    -->
 				<exec executable="svn">
+				  <arg line="${global-svn-args}"/>
 					<arg value="export"/>
 					<arg value="${svn.root}/main/${branch.path}/binaries/mac/intel/ghostscript"/>
@@ -514,5 +538,6 @@
 
 				<else>			    
-					<exec executable="svn">
+				  <exec executable="svn">
+				    <arg line="${global-svn-args}"/>
 						<arg value="export"/>
 						<arg value="${svn.root}/main/trunk/binaries/mac/intel/imagemagick"/>
@@ -521,4 +546,5 @@
 			    
 					<exec executable="svn">
+					  <arg line="${global-svn-args}"/>
 						<arg value="export"/>
 						<arg value="${svn.root}/main/trunk/binaries/mac/intel/ghostscript"/>
@@ -550,4 +576,6 @@
 				<env key="GSDLCOLLECTDIR" path="${basedir}/compiled/collect"/>
 				<env key="GSDLOS" value="windows"/>
+				<env key="PERL_PERTURB_KEYS" value="0"/>
+				<env key="PERL_HASH_SEED" value="0"/>
 				<env key="PATH" path="${basedir}/compiled/bin/windows/perl/bin:${basedir}/compiled/bin/windows:${basedir}/compiled/bin/script:${env.PATH}"/>
 			</exec>
@@ -555,4 +583,6 @@
 				<arg line="-S"/>
 				<arg line="bin/script/buildcol.pl demo"/>
+				<env key="PERL_PERTURB_KEYS" value="0"/>
+				<env key="PERL_HASH_SEED" value="0"/>
 				<env key="GSDLHOME" path="${basedir}/compiled"/>
 				<env key="GSDLCOLLECTDIR" path="${basedir}/compiled/collect"/>
@@ -602,4 +632,5 @@
 				<get src="${svn.root}/main/${branch.path}/binaries/windows/bin/gssetup.exe" dest="compiled/bin/windows/gssetup.exe"/>-->
 				<exec executable="svn">
+				  <arg line="${global-svn-args}"/>
 				  <arg value="export"/>
 				  <arg value="${svn.root}/main/${branch.path}/binaries/windows/bin/Setup.exe"/>
@@ -607,4 +638,5 @@
 				</exec>
 				<exec executable="svn">
+				  <arg line="${global-svn-args}"/>
 				  <arg value="export"/>
 				  <arg value="${svn.root}/main/${branch.path}/binaries/windows/bin/gssetup.exe"/>
@@ -615,5 +647,6 @@
 					<!--<get src="${svn.root}/main/trunk/binaries/windows/bin/Setup.exe" dest="compiled/bin/windows/Setup.exe"/>
 					<get src="${svn.root}/main/trunk/binaries/windows/bin/gssetup.exe" dest="compiled/bin/windows/gssetup.exe"/>-->
-				<exec executable="svn">
+					<exec executable="svn">
+					  <arg line="${global-svn-args}"/>
 				  <arg value="export"/>
 				  <arg value="${svn.root}/main/trunk/binaries/windows/bin/Setup.exe"/>
@@ -621,4 +654,5 @@
 				</exec>
 				<exec executable="svn">
+				  <arg line="${global-svn-args}"/>
 				  <arg value="export"/>
 				  <arg value="${svn.root}/main/trunk/binaries/windows/bin/gssetup.exe"/>