Index: /gs3-installations/whakatohea-dl/trunk/interfaces/wmtb/styles/gs-wmtb-custom.css
===================================================================
--- /gs3-installations/whakatohea-dl/trunk/interfaces/wmtb/styles/gs-wmtb-custom.css	(revision 37393)
+++ /gs3-installations/whakatohea-dl/trunk/interfaces/wmtb/styles/gs-wmtb-custom.css	(revision 37394)
@@ -22,4 +22,5 @@
     padding: var(--content-padding);
 }
+
 
 .sectionHeader {
@@ -387,2 +388,17 @@
    */
 }
+
+
+/* metadata table */
+.metadataTable tr:nth-child(odd) {
+    background: #dddddd;
+}
+.metadataTable tr:nth-child(even) {
+    background: #f5f3e5;
+}
+.metadataTable i {
+    font-style: italic;
+}
+.metadataTable td {
+    padding: 2px;
+}
Index: /gs3-installations/whakatohea-dl/trunk/interfaces/wmtb/transform/pages/favourites.xsl
===================================================================
--- /gs3-installations/whakatohea-dl/trunk/interfaces/wmtb/transform/pages/favourites.xsl	(revision 37394)
+++ /gs3-installations/whakatohea-dl/trunk/interfaces/wmtb/transform/pages/favourites.xsl	(revision 37394)
@@ -0,0 +1,54 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" 
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util">
+
+  <!-- use wmtb.Title -->
+  
+	<xsl:template name="customJavascript">
+
+	  <script  type="text/javascript">
+	    <xsl:text disable-output-escaping="yes">
+	      //default_metas = ["wmtb.Title", "Title", "root_Title", "root_assocfilepath", "root_srclinkFile", "name", "collection", "Date"];
+	      default_metas.push("wmtb.Title");
+	  function generateDocDisplay(li, doc, doc_id) {
+	  var a = document.createElement('a');
+    var text="";
+    a.href=generateURL(doc);
+    a.appendChild(document.createTextNode(doc['wmtb.Title'])); 
+
+    li.appendChild(a);
+    li.appendChild(document.createTextNode(" ("+doc['collection']+")"));
+    var metadata = "";
+    for (var metaItem in doc) {
+	if ( !default_metas.includes(metaItem)){
+	    metadata += " "+metaItem+": "+ doc[metaItem]+" ";
+	}
+    }
+    text +=metadata;
+    li.appendChild(document.createTextNode(text));
+
+    }
+	    </xsl:text>
+	  </script>
+	</xsl:template>
+
+	<xsl:template name="customCSS">
+	  <style type="text/css">
+	    #bbdeleteallbutton:hover {
+	    background-color: green;
+	    }
+
+	    #bbdeleteallbutton {
+	    color: green;
+	    padding: 5px;
+	    }
+	    
+	  </style>
+	</xsl:template>
+      </xsl:stylesheet>
Index: /gs3-installations/whakatohea-dl/trunk/interfaces/wmtb/transform/pages/query.xsl
===================================================================
--- /gs3-installations/whakatohea-dl/trunk/interfaces/wmtb/transform/pages/query.xsl	(revision 37394)
+++ /gs3-installations/whakatohea-dl/trunk/interfaces/wmtb/transform/pages/query.xsl	(revision 37394)
@@ -0,0 +1,64 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xsl:stylesheet version="1.0"
+		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+		xmlns:java="http://xml.apache.org/xslt/java"
+		xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+		xmlns:gslib="http://www.greenstone.org/skinning"
+		xmlns:gsvar="http://www.greenstone.org/skinning-var"
+		xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
+		extension-element-prefixes="java util"
+		exclude-result-prefixes="java util gsf">
+
+
+  
+  <xsl:template name="queryPage">
+    <xsl:for-each select="pageResponse/service">
+      <xsl:variable name="form_action"><xsl:value-of select="$library_name"/>/<xsl:if test="$collName">collection/<xsl:value-of select="$collName"/>/</xsl:if>search/<xsl:value-of select="@name"/></xsl:variable>
+      <form name="QueryForm" method="get" action="{$form_action}">
+	<div>
+	  <input type="hidden" name="a" value="q"/>
+	  <input type="hidden" name="sa">
+	    <xsl:attribute name="value">
+	      <xsl:value-of select="/page/pageRequest/@subaction"/>
+	    </xsl:attribute>
+	  </input>
+	  <input type="hidden" name="rt" value="rd"/>
+	  
+	  <xsl:variable name="ns">s1.</xsl:variable>
+	  <xsl:choose>
+	    <xsl:when test="/page/pageResponse/hierarchy and paramList/param[@name ='collection']">
+	      <xsl:call-template name="CCSParams"> <!-- cross coll search -->
+	      <xsl:with-param name="ns" select="$ns" />
+	    </xsl:call-template>
+	    </xsl:when>
+	    <xsl:otherwise>
+	      <xsl:for-each select="paramList/param">
+		<xsl:if test="not(@name='sortBy') and not(@name='reverseSort')">
+		<xsl:choose>
+		  <xsl:when test="@type='multi'">
+		    <xsl:apply-templates select=".">
+		      <xsl:with-param name="ns" select="$ns"/>
+		    </xsl:apply-templates>
+		  </xsl:when>
+		  <xsl:otherwise>
+		    <xsl:call-template name="param-display">
+		      <xsl:with-param name="ns" select="$ns"/>
+		    </xsl:call-template>
+		  </xsl:otherwise>
+		</xsl:choose>
+		</xsl:if>
+	      </xsl:for-each>
+	    </xsl:otherwise>
+	  </xsl:choose>
+	  <br/>
+	  <input type="submit">
+	    <xsl:attribute name="value">
+	      <xsl:value-of select="displayItem[@name='submit']"/>
+	    </xsl:attribute>
+	  </input>
+	</div>
+      </form>
+    </xsl:for-each>
+  </xsl:template>
+
+</xsl:stylesheet>