Index: /gs3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig.properties
===================================================================
--- /gs3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig.properties	(revision 37395)
+++ /gs3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig.properties	(revision 37396)
@@ -1,4 +1,5 @@
-siteName=Whakairinga KÅrero o Te WhakatÅhea
-siteDescription=Whakairinga KÅrero o Te WhakatÅhea
+siteName=WhakatÅhea Digital Library
+siteDescription=A Digital Library for resources of WhakatÅhea Iwi.
 
 
+
Index: 3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_es.properties
===================================================================
--- /gs3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_es.properties	(revision 37395)
+++ 	(revision )
@@ -1,2 +1,0 @@
-siteName:Mi biblioteca Greenstone
-siteDescription:Esta es una biblioteca digital construida con el software Greenstone Digital Library, versiÃ³n 3. Edite el nombre del sitio y la descripciÃ³n en web/sites/localsite/siteConfig.xml o web/sites/localsite/resources/siteConfig_xx.properties.
Index: 3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_fr.properties
===================================================================
--- /gs3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_fr.properties	(revision 37395)
+++ 	(revision )
@@ -1,2 +1,0 @@
-siteName:Ma bibliothÃšque Greenstone
-siteDescription:ceci est une bibliothÃšque numÃ©rique utilisant le logiciel open source Greenstone Digital Library dans sa version 3. Vous pouvez modifier le nom et la description dans le fichier web/sites/localsite/siteConfig.xml ou web/sites/localsite/resources/siteConfig_xx.properties.
Index: 3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_gu.properties
===================================================================
--- /gs3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_gu.properties	(revision 37395)
+++ 	(revision )
@@ -1,3 +1,0 @@
-siteName:àª®àªŸàª°à« àªà«àª°à«àªšàªžà«àªà«àªš àªà«àª°àªàª¥àªŸàª²àª¯
-siteDescription:àª àª¡à«àªà«àªàª² àª²àªŸàªàª¬à«àª°à«àª°à« àªà« àªà« àªà«àª°à«àªšàªžà«àªà«àªš àª¡à«àªà«àªàª² àª²àªŸàªàª¬à«àª°à«àª°à« àªžà«àª«à«àªàªµà«àª°, àªµàª°à«àªàªš 3àªšàªŸ àªàªªàª¯à«àªàª¥à« àª€à«àª¯àªŸàª° àªàª°àªµàªŸàª®àªŸàª àªàªµà« àªà«. web/sites/localsite/siteConfig.xml or web/sites/localsite/resources/siteConfig_xx.propertiesàª®àªŸàª àªžàªŸàªàª àªšàªŸàª® àª
-àªšà« àªµàª°à«àª£àªšàª®àªŸàª àªàª¡àª¿àª àªàª°à«.
Index: 3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_ja.properties
===================================================================
--- /gs3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_ja.properties	(revision 37395)
+++ 	(revision )
@@ -1,2 +1,0 @@
-siteName:èªåã®Greenstoneå³æžé€š
-siteDescription:ããã¯ãªãŒãã³ãœãŒã¹ã§ããã°ãªãŒã³ã¹ããŒã³ã®ããžã¿ã«å³æžé€šãœãããŠãšã¢ããŒãžã§ã³3ãçšããŠæ§ç¯ãããããžã¿ã«å³æžé€šã§ããweb/sites/localsite/siteConfig.xml ãŸãã¯ web/sites/localsite/resources/siteConfig_xx.propertiesã§ãµã€ãåãšèšè¿°ãç·šéããŠãã ããã
Index: 3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_ka.properties
===================================================================
--- /gs3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_ka.properties	(revision 37395)
+++ 	(revision )
@@ -1,2 +1,0 @@
-siteName:áá ááá¡á¢áá£ááá¡ áááááááááá
-siteDescription:áá¡ áá áá¡ áªáá€á á£áá áááááááááá - ááááá£áá áŠáá ááááá¡ áá ááá¡á¢áá£ááá¡ áªáá€á á£áá ááááááááááá¡ áá ááá ááá£áá á£áá á£ááááá§áá€áá¡ ááááá§áááááá, ááá á¡áá 3. áááá áááá¥á¢áá áá á¡ááá¢áá¡ á¡áá®ááá áá ááŠá¬áá á  in web/sites/localsite/siteConfig.xml áá web/sites/localsite/resources/siteConfig_xx.properties.
Index: /gs3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_mi.properties
===================================================================
--- /gs3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_mi.properties	(revision 37396)
+++ /gs3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_mi.properties	(revision 37396)
@@ -0,0 +1,4 @@
+siteName=Whakairinga KÅrero o Te WhakatÅhea
+siteDescription=Whakairinga KÅrero o Te WhakatÅhea
+
+
Index: 3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_pl.properties
===================================================================
--- /gs3-installations/whakatohea-dl/trunk/sites/wmtb/resources/siteConfig_pl.properties	(revision 37395)
+++ 	(revision )
@@ -1,3 +1,0 @@
-siteName:Moja Biblioteka Greenstone
-siteDescription:To jest cyfrowa biblioteka zbudowana za pomocÄ
- otwartoÅºrÃ³dÅowego oprogramowania Greenstone Digital Library wersja 3. NazwÄ witryny i opis moÅŒesz zmieniÄ w pliku `web/sites/localsite/siteConfig.xml` lub `web/sites/localsite/resources/siteConfig_xx.properties`.