Index: /main/trunk/release-kits/kits/rk2/ant-scripts/mojave-compile.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/mojave-compile.xml	(revision 37451)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/mojave-compile.xml	(revision 37452)
@@ -475,85 +475,86 @@
 		<!-- mac -->
 		<else><if><bool><equals arg1="${rk.os}" arg2="mac"/></bool>
-			<!-- grab imagemagick and ghostscript binaries -->
-			<delete dir="compiled/bin/darwin/imagemagick"/>
-			<delete dir="compiled/bin/darwin/ghostscript"/>
-
-			<if><bool><equals arg1="${post.2.83.version}" arg2="true"/></bool>
-
-                    <!--<exec executable="svn">
-			<arg line="${global-svn-args}"/>
-                       <arg value="export"/>
-                       <arg value="${svn.root}/gs2-extensions/imagemagick/trunk/imagemagick-darwin-10.5.tar.gz"/>
-                       <arg value="compiled/ext/imagemagick-darwin-10.5.tar.gz"/>
-                    </exec>
-
-                    <exec executable="tar" dir="compiled/ext">
-                       <arg value="xvzf"/>
-                       <arg value="imagemagick-darwin-10.5.tar.gz"/>
-                    </exec>
-                    <delete file="compiled/ext/imagemagick-darwin-10.5.tar.gz"/>
-                    <move todir="compiled/bin/darwin/imagemagick">
-                       <fileset dir="compiled/ext/imagemagick/darwin"/>
-                    </move>-->
-
-			<!-- grab imagemagick binaries for El Capitan -->
-			<!-- Grab the imagemagick compiled on an XWindows-less darwin 10.11 (El Capitan)
-			     but where it was made backwards compatible with 10.8 (Mountain Lion) with mmacosx-version-min flag.
-			     Upto and including the gs3.08 release this code still referred to imagemagick-darwin-10.5.tar.gz  -->
-			<exec executable="svn">
-			  <arg value="export"/>
-			  <arg value="${svn.root}/gs2-extensions/imagemagick/trunk/imagemagick-darwin-10.11.tar.gz"/>
-			  <arg value="compiled/ext/imagemagick-darwin-10.11.tar.gz"/>
-			</exec>
-			
-			<exec executable="tar" dir="compiled/ext">
-			  <arg value="xvzf"/>
-			  <arg value="imagemagick-darwin-10.11.tar.gz"/>
-			</exec>
-			<delete file="compiled/ext/imagemagick-darwin-10.11.tar.gz"/>
-			<move todir="compiled/bin/darwin/imagemagick">
-			  <fileset dir="compiled/ext/imagemagick/darwin"/>
-			</move>
-
-			<!-- No more use for the decompressed ext/imagemagick folder, as it contains only setup scripts
+		  <!-- grab imagemagick and ghostscript binaries -->
+		  <delete dir="compiled/bin/darwin/imagemagick"/>
+		  <delete dir="compiled/bin/darwin/ghostscript"/>
+		  
+		  <if><bool><equals arg1="${post.2.83.version}" arg2="true"/></bool>
+		  
+                  <!--<exec executable="svn">
+		      <arg line="${global-svn-args}"/>
+                      <arg value="export"/>
+                      <arg value="${svn.root}/gs2-extensions/imagemagick/trunk/imagemagick-darwin-10.5.tar.gz"/>
+                      <arg value="compiled/ext/imagemagick-darwin-10.5.tar.gz"/>
+                      </exec>
+		      
+                      <exec executable="tar" dir="compiled/ext">
+                      <arg value="xvzf"/>
+                      <arg value="imagemagick-darwin-10.5.tar.gz"/>
+                      </exec>
+                      <delete file="compiled/ext/imagemagick-darwin-10.5.tar.gz"/>
+                      <move todir="compiled/bin/darwin/imagemagick">
+                      <fileset dir="compiled/ext/imagemagick/darwin"/>
+                      </move>-->
+		  
+
+		  <!-- Grab the imagemagick compiled on an XWindows-less darwin 10.11 (El Capitan)
+		       but where it was made backwards compatible with 10.8 (Mountain Lion) with mmacosx-version-min flag.
+		       Upto and including the gs3.08 release this code still referred to imagemagick-darwin-10.5.tar.gz  -->
+		  <exec executable="svn">
+		    <arg line="${global-svn-args}"/>
+		    <arg value="export"/>
+		    <arg value="${svn.root}/gs2-extensions/imagemagick/trunk/imagemagick-darwin-10.11.tar.gz"/>
+		    <arg value="compiled/ext/imagemagick-darwin-10.11.tar.gz"/>
+		  </exec>
+		  
+		  <exec executable="tar" dir="compiled/ext">
+		    <arg value="xvzf"/>
+		    <arg value="imagemagick-darwin-10.11.tar.gz"/>
+		  </exec>
+		  <delete file="compiled/ext/imagemagick-darwin-10.11.tar.gz"/>
+		  <move todir="compiled/bin/darwin/imagemagick">
+		    <fileset dir="compiled/ext/imagemagick/darwin"/>
+		  </move>
+		  
+		  <!-- No more use for the decompressed ext/imagemagick folder, as it contains only setup scripts
 			     that end up referring to the (empty) ext/imagemagick in the environment.
 			     On sourcing GS2's setup script, these env vars further conflict with cmdline wget on newer Macs,
 			     as DYLD_FALLBACK_LIBRARY_PATH (another env var hidden on Macs) ends up set. -->
-			<delete dir="compiled/ext/imagemagick"/>  <!-- dir = The directory to delete, including all its files and subdirectories. -->
-
-			<!--
-			    <exec executable="svn">
-			      <arg line="${global-svn-args}"/>
-			      <arg value="export"/>
-			      <arg value="${svn.root}/main/${branch.path}/binaries/mac/intel/imagemagick"/>
-			      <arg value="compiled/bin/darwin/imagemagick"/>
-			    </exec>
-			    -->
-				<exec executable="svn">
-				  <arg line="${global-svn-args}"/>
-					<arg value="export"/>
-					<arg value="${svn.root}/main/${branch.path}/binaries/mac/intel/ghostscript"/>
-					<arg value="compiled/bin/darwin/ghostscript"/>
-				</exec>
-
-				<else>			    
-				  <exec executable="svn">
-				    <arg line="${global-svn-args}"/>
-						<arg value="export"/>
-						<arg value="${svn.root}/main/trunk/binaries/mac/intel/imagemagick"/>
-						<arg value="compiled/bin/darwin/imagemagick"/>
-					</exec>
-			    
-					<exec executable="svn">
-					  <arg line="${global-svn-args}"/>
-						<arg value="export"/>
-						<arg value="${svn.root}/main/trunk/binaries/mac/intel/ghostscript"/>
-						<arg value="compiled/bin/darwin/ghostscript"/>
-					</exec>
-				</else>
-			</if>
-
-			<!-- delete unneeded files -->
-			<delete><fileset dir="compiled" includes="win32.mak,win32cfg.h,Install.sh,Support.htm"/></delete>
+		  <delete dir="compiled/ext/imagemagick"/>  <!-- dir = The directory to delete, including all its files and subdirectories. -->
+		  
+		  <!--
+		      <exec executable="svn">
+		      <arg line="${global-svn-args}"/>
+		      <arg value="export"/>
+		      <arg value="${svn.root}/main/${branch.path}/binaries/mac/intel/imagemagick"/>
+		      <arg value="compiled/bin/darwin/imagemagick"/>
+		      </exec>
+		  -->
+		  <exec executable="svn">
+		    <arg line="${global-svn-args}"/>
+		    <arg value="export"/>
+		    <arg value="${svn.root}/main/${branch.path}/binaries/mac/intel/ghostscript"/>
+		    <arg value="compiled/bin/darwin/ghostscript"/>
+		  </exec>
+		  
+		  <else>			    
+		    <exec executable="svn">
+		      <arg line="${global-svn-args}"/>
+		      <arg value="export"/>
+		      <arg value="${svn.root}/main/trunk/binaries/mac/intel/imagemagick"/>
+		      <arg value="compiled/bin/darwin/imagemagick"/>
+		    </exec>
+		    
+		    <exec executable="svn">
+		      <arg line="${global-svn-args}"/>
+		      <arg value="export"/>
+		      <arg value="${svn.root}/main/trunk/binaries/mac/intel/ghostscript"/>
+		      <arg value="compiled/bin/darwin/ghostscript"/>
+		    </exec>
+		  </else>
+		  </if>
+		  
+		  <!-- delete unneeded files -->
+		  <delete><fileset dir="compiled" includes="win32.mak,win32cfg.h,Install.sh,Support.htm"/></delete>
 <!--
   Actually useful to keep these files around for a Pure Java install